package md

type EnterpriseListReq struct {
	Limit     int    `json:"limit"`
	Page      int    `json:"page" `
	Name      string `json:"name" label:"名称"`
	Memo      string `json:"memo" label:"备注"`
	LeadName  string `json:"lead_name" label:"负责人姓名"`
	LeadPhone string `json:"lead_phone" label:"负责人手机号"`
}

type EnterpriseListResp struct {
	Id          int    `json:"id" binding:"required" label:"公司id"`
	State       int32  `json:"state" label:"状态"`
	Name        string `json:"name" binding:"required" label:"名称"`
	Memo        string `json:"memo" label:"备注"`
	CompanyName string `json:"company_name" label:"公司名称"`
	CompanyId   int    `json:"company_id" label:"公司Id"`
	LeadName    string `json:"lead_name" label:"负责人姓名"`
	LeadPhone   string `json:"lead_phone" label:"负责人手机号"`
	CreateAt    string `json:"create_at" label:"创建时间"`
	UpdateAt    string `json:"update_at" label:"更新时间"`
}

type EnterpriseUpdateStateReq struct {
	Id    int   `json:"id" binding:"required" label:"企业id"`
	State int32 `json:"state" label:"状态"`
}

type EnterpriseDeleteReq struct {
	EnterpriseIds []int `json:"enterprise_ids"`
}

type EnterpriseAddReq struct {
	Name      string `json:"name" binding:"required" label:"名称"`
	CompanyId int    `json:"company_id" binding:"required" label:"所属公司id"`
	Memo      string `json:"memo" label:"备注"`
}

type EnterpriseUpdateReq struct {
	Id        int    `json:"id" binding:"required" label:"公司id"`
	Name      string `json:"name" binding:"required" label:"名称"`
	CompanyId int    `json:"company_id" binding:"required" label:"所属公司id"`
	Memo      string `json:"memo" label:"备注"`
}
